### Function

# Gimp Selection shrink

#### Declaration [src]

    gboolean
    gimp_selection_shrink (
      GimpImage* image,
      gint steps
    )

#### Description [src]

Shrink the image’s selection

This procedure shrinks the selection. Shrinking involves trimming the existing selection boundary on all sides by the specified number of pixels.

#### Parameters

`image` | `GimpImage`
| The image.
| The data is owned by the caller of the function.
`steps` | `gint`
| Steps of shrink (in pixels).

#### Return value

Returns: | `gboolean`
| TRUE on success.